'Get the install step we are up to
Function GetStep()
	On Error Resume Next
	Err.Clear
	regKey = objShell.RegRead ("HKLM\SOFTWARE\RGFramework\Step")

	If Err.Number = 0 Then 'The reg string WAS found. So this is not the first run
		GetStep = regKey + 1
	Else 
		GetStep = 0
	End If
End Function

'Set the step we're up and reboot
Function RebootNextStep()
	objShell.RegWrite "HKLM\SOFTWARE\RGFramework\Step", GetStep
	AppendLog ("Rebooting")
	objShell.Run "shutdown /f /r /t 5",0,true
	Wscript.Quit
End Function

'Set the step we're up
Function NextStep() 
	objShell.RegWrite "HKLM\SOFTWARE\RGFramework\Step", GetStep
End Function

'Create the log file
Function CreateLogFile()
	Set objLogFile = objFSO.CreateTextFile(strLogFile,true)
	objLogFile.WriteLine("---------- Starting RGFramework Script ----------")
	objLogFile.close
End Function

'Map network a drive
Function MapDrive(strLetter, strPath)
	objShell.Run "net use "&strLetter&": "&strPath,0,true
	AppendLog("Mapping drive letter "&strLetter&": to "&strPath)
	wscript.sleep(5000)
End Function

'Returns the host name of the system
Function GetHostName()
	GetHostName = objShell.RegRead ("HKLM\SYSTEM\CurrentControlSet\Services\Tcpip\Parameters\Hostname")
End Function

'Writes a line to the log file
Function AppendLog(strLogText)
Set objLogfile = objFSO.OpenTextFile(strLogFile, 8, True)
objLogfile.WriteLine(GetDateTime()&" STEP:"&GetStep()& " - "&strLogText)
objLogfile.close
wscript.echo GetDateTime()&" STEP:"&GetStep()& " - "&strLogText
End Function

'Get date in to a good format
Function GetDateTime()
GetDateTime = Year(date)&"-"&Month(date)&"-"&Day(date)&" "&FormatDateTime(time,4)
End Function

'Sets this script to run at startup
Function SetStartUp()
	AppendLog("Adding RGFramework to windows start-up")
	objShell.RegWrite "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Run\RGFramework", """"&WScript.ScriptFullName&""""
End Function

'Remove the startup for RGFramework
Function DelStartup()
	On Error Resume Next
	AppendLog("Removing RGFramework from windows start-up if it exists")
	objShell.RegDelete "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Run\RGFramework"
End Function

'Explicitly set a the next step to run
Function SetStep(intStep)
objShell.RegWrite "HKLM\SOFTWARE\RGFramework\Step", intStep-1
End Function

'Set AuotLogon Functions
Function SetAutoLogon(strUserName, strPassword)
AppendLog("Setting auto-login for user "&strUserName)
Dim regkey
regkey="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon\"
objShell.RegWrite regkey & "AutoAdminLogon","1","REG_SZ"
objShell.RegWrite regkey & "DefaultPassword",strPassword , "REG_SZ"
objShell.RegWrite regkey & "DefaultUserName", strUserName,"REG_SZ"
End Function

'Remove autologon
Function ClearAutoLogon()
AppendLog("Clearing auto-logon")
On Error Resume Next
Dim regkey
regkey="HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon\"
objShell.RegWrite regkey & "AutoAdminLogon","0","REG_SZ"
objShell.RegDelete regkey & "DefaultPassword"
End Function

